//package com.nationrel.weibull.configuration.redis;
//
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.data.redis.core.RedisCallback;
//import org.springframework.data.redis.core.RedisConnectionUtils;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.stereotype.Component;
//
//import java.util.Objects;
//
//@Slf4j
//@Component
//public class RedisLock {
//
//    /**
//     * 默认十分钟
//     */
//    public static final int LOCK_EXPIRE = 600000;
//
//
//    @Value("${spring.application.name}")
//    private String applicationName;
//    @Autowired
//    private RedisTemplate redisTemplate;
//
//
//    /**
//     * 分布式锁
//     *
//     * @param key key值
//     * @return 是否获取到
//     */
//    public boolean lock(String key) {
//
//        String lock = applicationName +key;
//        try {
//            return (Boolean) redisTemplate.execute((RedisCallback) connection -> {
//                long expireAt = System.currentTimeMillis() + LOCK_EXPIRE;
//                Boolean acquire = connection.setNX(lock.getBytes(), String.valueOf(expireAt).getBytes());
//                if (acquire) {
//                    log.info("用户 [{}]加锁成功", key);
//
//                    return true;
//                } else {
//                    log.info("用户 [{}]加锁失败", key);
//
//                    //判断该key上的值是否过期了
//                    byte[] value = connection.get(lock.getBytes());
//                    if (Objects.nonNull(value) && value.length > 0) {
//                        long expireTime = Long.parseLong(new String(value));
//                        if (expireTime < System.currentTimeMillis()) {
//                            // 如果锁已经过期
//                            byte[] oldValue = connection.getSet(lock.getBytes(), String.valueOf(System.currentTimeMillis() + LOCK_EXPIRE).getBytes());
//                            // 防止死锁
//                            return Long.parseLong(new String(oldValue)) < System.currentTimeMillis();
//                        }
//                    }
//                }
//                return false;
//            });
//        } finally {
//            RedisConnectionUtils.unbindConnection(redisTemplate.getConnectionFactory());
//        }
//    }
//
//
//    /**
//     * 删除锁
//     *
//     * @param key
//     */
//    public void delete(String key) {
//        try {
//            redisTemplate.delete(applicationName +key);
//        } finally {
//            RedisConnectionUtils.unbindConnection(redisTemplate.getConnectionFactory());
//        }
//    }
//}