package com.nationrel.weibull.controller;

import com.nationrel.general.common.ServerResponse;
import com.nationrel.general.util.common.UserInfoUtil;
import com.nationrel.weibull.domain.bo.EwbGroupListSaveBo;
import com.nationrel.weibull.service.EwbGroupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/11/23.
 */
@Api(tags = "寿命数据分组")
@RestController
@RequestMapping("/group")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class EwbGroupController {
    private final EwbGroupService ewbGroupService;

    @ApiOperation(value = "分组列表", notes = "分组")
    @GetMapping("/list")
    @ApiImplicitParams(value = {
            @ApiImplicitParam(name = "Authorization", value = "验证信息", dataType = "String", paramType = "header")
    })
    public ServerResponse getGroupList(@NotBlank(message = "DataIdNotEmpty") String dataId) {
        return ServerResponse.createBySuccess(ewbGroupService.getGroupList(dataId));
    }

    @ApiOperation(value = "分组列表保存", notes = "分组")
    @PostMapping("/save")
    @ApiImplicitParams(value = {
            @ApiImplicitParam(name = "Authorization", value = "验证信息", dataType = "String", paramType = "header")
    })
    public ServerResponse saveGroupList(HttpServletRequest request, @RequestBody @Valid EwbGroupListSaveBo param) {
        ewbGroupService.saveGroupList(UserInfoUtil.parseHeader(request), param);
        return ServerResponse.createBySuccess();
    }

}
