package com.nationrel.weibull.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.weibull.domain.entity.EwbAnalysisInfo;
import com.nationrel.weibull.domain.vo.EwbAnalysisListVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.Date;
import java.util.List;

public interface EwbAnalysisInfoMapper extends BaseMapper<EwbAnalysisInfo> {

    List<EwbAnalysisListVo> selectSearch(@Param("userId") Integer userId, @Param("wbName") String wbName, @Param("userName") String userName, @Param("analysisType") String analysisType);

    @Update("update ewb_analysis_info set DEL_FLAG = 1 where WB_ID = #{wbId}")
    void deleteWb(@Param("wbId") String wbId);

    @Update("update ewb_analysis_info set DEL_FLAG = 0 where WB_ID = #{wbId}")
    void recoverWb(@Param("wbId") String wbId);

    @Select("select * from ewb_analysis_info where WB_ID = #{wbId}")
    EwbAnalysisInfo getWbAndDel(@Param("wbId") String wbId);

    @Update("update ewb_analysis_info set update_time = #{now}, update_user_id = #{userId} where wb_id = #{wbId}")
    void updateUpdateInfo(Date now, Integer userId, String wbId);
}