package com.nationrel.weibull.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/9/22.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "分析参数入参",description = "分析参数入参")
public class EwbAnalysisSettingSaveBo {

    @ApiModelProperty(value = "sigma : σ")
    private String sigma;

    @ApiModelProperty(value = "logsigma : logσ")
    private String logsigma;

    @ApiModelProperty(value = "beta : β ")
    private String beta;

    @ApiModelProperty(value = "分析设定ID ", required = true)
    private String settingId;

    @ApiModelProperty(value = "分析ID ", required = true)
    private String analysisId;

    @ApiModelProperty(value = "数据ID ", required = true)
    private String dataId;

    @ApiModelProperty(value = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;

    @ApiModelProperty(value = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;

    @ApiModelProperty(value = "参数估计方法 RRX:01   RRY:02   MLE:03")
    private String estimationMethodCode;

    @ApiModelProperty(value = "求秩方法 中位秩:01")
    private String rankMethodCode;

    @ApiModelProperty(value = "置信类型 无:00  双侧:01  下限:02  上限:03")
    private String believeCode;

    @ApiModelProperty(value = "置信法 Fisher矩阵:01  似然比:02")
    private String believeMethodCode;

    @ApiModelProperty(value = "置信度 ")
    private String believePercent;

}
