package com.nationrel.weibull.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/9/22.
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "计算器请求参数",description = "计算器")
public class EwbCalcParamBo {

    @ApiModelProperty(value = " settingId : 参数ID", required = true)
    private String settingId;

    @ApiModelProperty(value = " dataId : 数据ID", required = true)
    private String dataId;

    @ApiModelProperty(value = " beta : β", hidden = true)
    private String beta;

    @ApiModelProperty(value = " sigma : σ", hidden = true)
    private String sigma;

    @ApiModelProperty(value = " logsigma : logσ", hidden = true)
    private String logsigma;

    @ApiModelProperty(value = "计算类型")
    private String calcType;

    @ApiModelProperty(value = "计算结果")
    private String calcResult;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "附加时间")
    private String additionalTime;

    @ApiModelProperty(value = "置信类型 无:00  双侧:01  下限:02  上限:03")
    private String confidenceType;

    @ApiModelProperty(value = "置信百分比")
    private String confidencePercent;

    @ApiModelProperty(value = "失效百分比")
    private String failurePercent;

    @ApiModelProperty(value = "置信法 Fisher矩阵:01  似然比:02")
    private String confidenceMethod;

    @ApiModelProperty(value = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;

    @ApiModelProperty(value = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;

    @ApiModelProperty(value = "gamma")
    private String gamma;

    @ApiModelProperty(value = "参数类型(beta:1,eta:2)", hidden = true)
    private String parameterType;

}
