package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@ApiModel(value = "寿命数据分析主表",description = "寿命数据分析主表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis")
public class EwbAnalysis extends SystemInfo {

    @TableId("analysis_id")
    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "父级ID")
    private String parentId;

    @ApiModelProperty(value = "分析名称")
    private String analysisName;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "周期状态")
    private String lifeState;

    @ApiModelProperty(value = "发布时间")
    private Date releaseTime;

    @TableLogic
    @ApiModelProperty(value = "删除状态")
    private String delFlag;

    @ApiModelProperty(value = "自定义的结束时间列名")
    private String endTimeName;
}