package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "寿命数据分析数据表",description = "寿命数据分析数据表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_data")
public class EwbAnalysisData extends SystemInfo {

    @TableId("data_id")
    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "数据源")
    private String source;

    @ApiModelProperty(value = "数据量")
    private Integer quantity;

    @ApiModelProperty(value = "完整数据量")
    private Integer cQuantity;

    @ApiModelProperty(value = "右删失数据量")
    private Integer rQuantity;

    @ApiModelProperty(value = "区间删失数据量")
    private Integer iQuantity;

    @ApiModelProperty(value = "左删失数据量")
    private Integer lQuantity;

    @ApiModelProperty(value = "包含删失数据(右删失数据)")
    private String rFlag;

    @ApiModelProperty(value = "包含区间数据或左删失数据")
    private String lFlag;

    @ApiModelProperty(value = "概率VS时间")
    private String timeForRank;

    @ApiModelProperty(value = "分组数据")
    private String groupingFlag;

    @ApiModelProperty(value = "失效模式")
    private String failureModeFlag;

    @ApiModelProperty(value = "分析数据是否可编辑")
    private String editFlag;

    @ApiModelProperty(value = "分析数据是否可编辑")
    private String isRankOrNodata;

}