package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "寿命数据分布向导表",description = "寿命数据分布向导表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_dis_wizard")
public class EwbAnalysisDisWizard extends SystemInfo {
    @TableId("data_id")
    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;

    @ApiModelProperty(value = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;

    @ApiModelProperty(value = "参数1")
    private Double p1;

    @ApiModelProperty(value = "参数2")
    private Double p2;

    @ApiModelProperty(value = "参数3")
    private Double p3;

    @ApiModelProperty(value = "LK值")
    private Double lk;

    @ApiModelProperty(value = "ρ值")
    private Double pho;

    @ApiModelProperty(value = "分布向导复选框是否选中标记(1:为选中)")
    private String checkeFlag;

}