package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@ApiModel(value = "寿命数据分析项目表",description = "寿命数据分析项目表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_info")
public class EwbAnalysisInfo extends SystemInfo {

    @TableId("wb_id")
    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "项目名称")
    private String wbName;

    @ApiModelProperty(value = "分析类型")
    private String analysisType;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "周期状态")
    private String lifeState;

    @ApiModelProperty(value = "发布时间")
    private Date releaseTime;

    @TableLogic
    @ApiModelProperty(value = "删除状态")
    private String delFlag;
}