package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.weibull.domain.vo.EwbCalcResultVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.StringUtils;

@ApiModel(value = "寿命数据分析设定表",description = "寿命数据分析设定表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_nodata_setting")
public class EwbAnalysisNodataSetting {
    @TableId("setting_id")
    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "beta")
    private Double beta;

    @ApiModelProperty(value = "eta")
    private Double eta;

    @ApiModelProperty(value = "gamma")
    private Double gamma;

    @ApiModelProperty(value = "lambda")
    private Double lambda;

    @ApiModelProperty(value = "mu")
    private Double mu;

    @ApiModelProperty(value = "sigma")
    private Double sigma;

    @ApiModelProperty(value = "logMu")
    private Double logMu;

    @ApiModelProperty(value = "logSigma")
    private Double logSigma;

    @ApiModelProperty(value = "betaTwo")
    private Double betaTwo;

    @ApiModelProperty(value = "etaTwo")
    private Double etaTwo;

    @ApiModelProperty(value = "proportion")
    private Double proportion;

    @ApiModelProperty(value = "betaThree")
    private Double betaThree;

    @ApiModelProperty(value = "etaThree")
    private Double etaThree;

    @ApiModelProperty(value = "proportionTwo")
    private Double proportionTwo;

    public static void copyProperties(EwbCalcResultVo source, EwbAnalysisNodataSetting target) {
        target.setBeta(StringUtils.isBlank(source.getBeta()) ? 0.0 : Double.parseDouble(source.getBeta()));
        target.setEta(StringUtils.isBlank(source.getEta()) ? 0.0 : Double.parseDouble(source.getEta()));
        target.setGamma(StringUtils.isBlank(source.getGamma()) ? 0.0 : Double.parseDouble(source.getGamma()));
        target.setLambda(StringUtils.isBlank(source.getLambda()) ? 0.0 : Double.parseDouble(source.getLambda()));
        target.setMu(StringUtils.isBlank(source.getMu()) ? 0.0 : Double.parseDouble(source.getMu()));
        target.setSigma(StringUtils.isBlank(source.getSigma()) ? 0.0 : Double.parseDouble(source.getSigma()));
        target.setLogMu(StringUtils.isBlank(source.getLogMu()) ? 0.0 : Double.parseDouble(source.getLogMu()));
        target.setLogSigma(StringUtils.isBlank(source.getLogSigma()) ? 0.0 : Double.parseDouble(source.getLogSigma()));
        target.setLogSigma(StringUtils.isBlank(source.getLogSigma()) ? 0.0 : Double.parseDouble(source.getLogSigma()));
        target.setBetaTwo(StringUtils.isBlank(source.getBetaTwo()) ? 0.0 : Double.parseDouble(source.getBetaTwo()));
        target.setEtaTwo(StringUtils.isBlank(source.getEtaTwo()) ? 0.0 : Double.parseDouble(source.getEtaTwo()));
        target.setProportion(StringUtils.isBlank(source.getProportion()) ? 0.0 : Double.parseDouble(source.getProportion()));
        target.setBetaThree(StringUtils.isBlank(source.getBetaThree()) ? 0.0 : Double.parseDouble(source.getBetaThree()));
        target.setEtaThree(StringUtils.isBlank(source.getEtaThree()) ? 0.0 : Double.parseDouble(source.getEtaThree()));
        target.setProportionTwo(StringUtils.isBlank(source.getProportionTwo()) ? 0.0 : Double.parseDouble(source.getProportionTwo()));
        target.setSettingId(source.getSettingId());
    }
}