package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@ApiModel(value = "寿命数据分析结果表",description = "寿命数据分析结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_result")
public class EwbAnalysisResult {
    @TableId("setting_id")
    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "参数1")
    private Double p1;

    @ApiModelProperty(value = "参数2")
    private Double p2;

    @ApiModelProperty(value = "参数3")
    private Double p3;

    @ApiModelProperty(value = "相关系数")
    private Double rao;

    @ApiModelProperty(value = "LK值")
    private Double lk;

    @ApiModelProperty(value = "平均失效时间")
    private Double mttf;

    @ApiModelProperty(value = "B10")
    private Double b10;

    @ApiModelProperty(value = "方差DB Eta 2")
    private Double db;

    @ApiModelProperty(value = "方差DE Beta 3")
    private Double de;

    @ApiModelProperty(value = "方差DBE Eta 3")
    private Double dbe;

    @ApiModelProperty(value = "P1")
    private Double interval1;

    @ApiModelProperty(value = "P1")
    private Double interval2;

    @ApiModelProperty(value = "P3")
    private Double interval3;

    @ApiModelProperty(value = "阶段标示")
    private Integer stepFlag;
}