package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "寿命数据分析设定表",description = "寿命数据分析设定表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_setting")
public class  EwbAnalysisSetting extends SystemInfo {
    @TableId("setting_id")
    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;

    @ApiModelProperty(value = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;

    @ApiModelProperty(value = "参数估计方法 RRX:01   RRY:02   MLE:03")
    private String estimationMethodCode;

    @ApiModelProperty(value = "求秩方法 中位秩:01")
    private String rankMethodCode;

    @ApiModelProperty(value = "置信类型 无:00  双侧:01  下限:02  上限:03")
    private String believeCode;

    @ApiModelProperty(value = "置信法 Fisher矩阵:01  似然比:02")
    private String believeMethodCode;

    @ApiModelProperty(value = "参数值")
    private String paramter;

    @ApiModelProperty(value = "置信度")
    private Double believePercent;

    @ApiModelProperty(value = "beta")
    private Double beta;

    @ApiModelProperty(value = "sigma")
    private Double sigma;

    @ApiModelProperty(value = "logsigma")
    private Double logsigma;

    @ApiModelProperty(value = "计算结果")
    private String calcResult;

    @ApiModelProperty(value = "完整的计算结果")
    private String calcResultAll;

    @ApiModelProperty(value = "完整的计算结果")
    private String failureRank;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;

    @ApiModelProperty(value = "标记的时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double time;

    @ApiModelProperty(value = "标记的不可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double unReliability;

    @ApiModelProperty(value = "标记的beta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double betaMark;

    @ApiModelProperty(value = "标记的eta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double etaMark;

    @ApiModelProperty(value = "标记的miu")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double muMark;

    @ApiModelProperty(value = "标记的sigma")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double sigmaMark;

    @ApiModelProperty(value = "标记的lambda")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double lambdaMark;

    @ApiModelProperty(value = "目标时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetTime;

    @ApiModelProperty(value = "目标可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetReliability;

    @ApiModelProperty(value = "自定义分布概率图名称")
    private String reliabilityPlotName;
}