package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@ApiModel(value = "寿命数据API分析结果表",description = "寿命数据API分析结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_api_analysis_result")
public class EwbApiAnalysisResult  {
    @TableId("data_id")
    @ApiModelProperty(value = "分析设定ID")
    private String dataId;

    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "PLOT_TYPE")
    private String plotType;

    @ApiModelProperty(value = "分析结果")
    @TableField(value = "ANALYSIS_RESULT")
    private String analysisResult;

    @ApiModelProperty(value = "'None', 'BothOneSided', 'TwoSided', 'Top', 'Bottom'")
    @TableField(value = "BOUND_SIDED")
    private String boundSided;

    @ApiModelProperty(value = "0-1")
    @TableField(value = "CONFIDENCE_LEVEL")
    private String confidenceLevel;

    @ApiModelProperty(value = "'FisherMatrix', 'LikelihoodRatio', 'ChiSquared', 'LSEDuane'")
    @TableField(value = "METHOD")
    private String method;
}