package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_setting")
public class EwbDaSetting {
    @TableId("da_id")
    @ApiModelProperty(value = "DA_ID")
    private String daId;

    @ApiModelProperty(value = "模型类型(01:Linear  02:Exponential  03:Power  04:Logarithmic  05:Logistic  06:LogLogistic  07:Gompertz  08:LloydLipow)")
    private String modelCode;

    @ApiModelProperty(value = "临界退化值")
    private Double daValue;

    @ApiModelProperty(value = "最大预测失效时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED )
    private Double maxFailureTime;

    @ApiModelProperty(value = "最小预测失效时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED )
    private Double minFailureTime;
}