package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_inspect_interval")
public class EwbInspectInterval extends SystemInfo {
    @TableId(value = "inspect_interval_Id")
    @ApiModelProperty(value = "最优检测间隔ID")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String inspectIntervalId;

    @ApiModelProperty(value = "最优检测间隔名称")
    @NotBlank(message = "NameNotEmpty")
    private String costOptimizeName;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "计划更换")
    private Double planReplace;

    @ApiModelProperty(value = "非计划更换")
    private Double unPlanReplace;

    @ApiModelProperty(value = "检测任务")
    private Double inspectTask;

    @ApiModelProperty(value = "故障探测度")
    private Double failDetect;

    @ApiModelProperty(value = "状态")
    private String lifeState;

    @ApiModelProperty(value = "发布时间")
    private Date releaseTime;

    @ApiModelProperty(value = "删除状态 1：已删除")
    private String delFlag;

    @ApiModelProperty(value = "维护类型LongTerm/ShortTerm")
    private String maintenanceType;
}