package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_multi_chart")
public class EwbMultiChart extends SystemInfo {
    @TableId(value = "multi_Chart_Id")
    @ApiModelProperty(value = "多图ID")
    private String multiChartId;

    @ApiModelProperty(value = "多图名称")
    private String multiChartName;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "状态")
    private String lifeState;

    @ApiModelProperty(value = "发布时间")
    private Date releaseTime;

    @ApiModelProperty(value = "删除状态 1：已删除")
    private String delFlag;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;

    @ApiModelProperty(value = "标记的时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double time;

    @ApiModelProperty(value = "标记的不可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double unReliability;

    @ApiModelProperty(value = "标记的beta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double betaMark;

    @ApiModelProperty(value = "标记的eta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double etaMark;

    @ApiModelProperty(value = "标记的miu")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double muMark;

    @ApiModelProperty(value = "标记的sigma")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double sigmaMark;

    @ApiModelProperty(value = "标记的lambda")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double lambdaMark;

    @ApiModelProperty(value = "目标时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetTime;

    @ApiModelProperty(value = "目标可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetReliability;
}