package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;

@ApiModel(value = "non内华达分析设定表",description = "non内华达分析设定表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_non_nevada_setting")
public class EwbNonNevadaSetting extends SystemInfo {
    @TableId("nevada_id")
    @ApiModelProperty(value = "内华达ID同时也是analysisId")
    @NotNull(message = "NevadaIdNotEmpty")
    private String nevadaId;

    @ApiModelProperty(value = "wbId")
    private String wbId;

    @ApiModelProperty(value = "数据ID ")
    private String dataId;

    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "内华达数据名称")
    private String analysisName;

    @ApiModelProperty(value = "数据单位：01:Mounths;02:Days;03:Years;04:Numbers;")
    private String periodsIn;

    @ApiModelProperty(value = "数值起始")
    private Integer startNumber;

    @ApiModelProperty(value = "年份起始")
    private String startYear;

    @ApiModelProperty(value = "月份起始")
    private String startMounth;

    @ApiModelProperty(value = "日期起始")
    private String startDay;

    @ApiModelProperty(value = "预测数值起始")
    private Integer futureStartNumber;

    @ApiModelProperty(value = "预测年份起始")
    private String futureStartYear;

    @ApiModelProperty(value = "预测月份起始")
    private String futureStartMounth;

    @ApiModelProperty(value = "预测日期起始")
    private String futureStartDay;

    @ApiModelProperty(value = "预测数据取整类型(0:未设置,1:向上取整,2:向下取整,3:四舍五入)")
    private Integer forecastType;

    @ApiModelProperty(value = "时间段个数")
    private Integer numberPeriod;

    @ApiModelProperty(value = "预测时间段个数")
    private Integer futureNumberPeriod;

    @ApiModelProperty(value = "步长")
    private Integer increment;

    @ApiModelProperty(value = "预测周期")
    private Integer forecast;

    @ApiModelProperty(value = "置信类型")
    private String boundSided;

    @ApiModelProperty(value = "置信度")
    private Double confidenceLevel;

    @ApiModelProperty(value = "置信法")
    private Integer confidenceBound;

    @ApiModelProperty(value = "数据是否已完成计算（0:未完成；1:已完成；）")
    private Integer isComplete;
}