package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_stress_strength")
public class EwbStressStrength extends SystemInfo {

    @TableId("stress_strength_id")
    @ApiModelProperty(value = "ss曲线分析id")
    private String stressStrengthId;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "退化分析名称")
    private String stressStrengthName;

    @ApiModelProperty(value = "应力 分布类型")
    private String distributingCode;

    @ApiModelProperty(value = "强度 分布类型")
    private String compareDistributingCode;

    @ApiModelProperty(value = "应力 分析ID")
    private String analysisId;

    @ApiModelProperty(value = "强度 分析ID")
    private String compareAnalysisId;

    @ApiModelProperty(value = "beta")
    private Double beta;

    @ApiModelProperty(value = "eta")
    private Double eta;

    @ApiModelProperty(value = "miu")
    private Double miu;

    @ApiModelProperty(value = "sigma")
    private Double sigma;

    @ApiModelProperty(value = "logMiu")
    private Double logMiu;

    @ApiModelProperty(value = "logSigma")
    private Double logSigma;

    @ApiModelProperty(value = "lambda")
    private Double lambda;

    @ApiModelProperty(value = "compareBeta")
    private Double compareBeta;

    @ApiModelProperty(value = "compareEta")
    private Double compareEta;

    @ApiModelProperty(value = "compareMiu")
    private Double compareMiu;

    @ApiModelProperty(value = "compareSigma")
    private Double compareSigma;

    @ApiModelProperty(value = "compareLogMiu")
    private Double compareLogMiu;

    @ApiModelProperty(value = "compareLogSigma")
    private Double compareLogSigma;

    @ApiModelProperty(value = "compareLambda")
    private Double compareLambda;
}