package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/10/20.
 */
@ApiModel(value = "项目创建实体",description = "项目创建实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisInfoCreateVo {
    @ApiModelProperty(value = "项目名称")
    @NotBlank(message = "NameNotEmpty")
    private String wbName;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "分析类型（life:综合分析;weibull:weibull分析;degradation:退化分析;costOpti:成本优化分析;nevadaNRI:内华达分析NRI;nevadaRI:内华达分析RI;）", required = true)
    private String analysisType;

    @ApiModelProperty(value = "备注")
    private String description;
}
