package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/10/21.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisStartVo {
    @ApiModelProperty(value = "分析ID")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String analysisId;

    @ApiModelProperty(value = "检测成本分析ID")
    private String inspectIntervalId;

    @ApiModelProperty(value = "替换成本分析ID")
    private String replaceIntervalId;

    @ApiModelProperty(value = "分析名称")
    private String analysisName;

    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "分析设定ID")
    @NotBlank(message = "SetIdNotEmpty")
    private String settingId;

    @ApiModelProperty(value = "β")
    private Double beta;

    @ApiModelProperty(value = "∑")
    private Double sigma;

    @ApiModelProperty(value = "logsigma")
    private Double logsigma;

    private String plotType;

    private String boundSided;

    private String confidenceLevel;

    private String believePercent;

    private String maintenanceType;

    private String method;

    private String parameterCode;

    private String distributingCode;

    private String estimationMethodCode;

    private String isRankOrNodata;

    private Double planReplace;

    private Double unPlanReplace;

    private Double inspectTask;

    private Double failDetect;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;
}
