package com.nationrel.weibull.domain.vo;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Aimee on 2020/9/22.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbReliabilityPlotVo {

    @ApiModelProperty(value = "分析名称")
    private String analysisName;

    @ApiModelProperty(value = "作图数据")
    private EwbChartDataModel ldChartDataModel;

    @ApiModelProperty(value = "分布类型")
    private String distributingCode;

    @ApiModelProperty(value = "参数类型")
    private String parameterCode;

    @ApiModelProperty(value = "参数估计方法")
    private String estimationMethodCode;

    @ApiModelProperty(value = "求秩方法")
    private String rankMethodCode;

    @ApiModelProperty(value = "置信类型")
    private String believeCode;

    @ApiModelProperty(value = "置信法")
    private String believeMethodCode;

    @ApiModelProperty(value = "置信度")
    private Double believePercent;

    @ApiModelProperty(value = "lk")
    private Double lk;

    @ApiModelProperty(value = "ρ")
    private Double rao;

    @ApiModelProperty(value = "调用画图API返回结果")
    private JSONObject responseResultPlot;

    @ApiModelProperty(value = "调用画图API返回结果")
    private List setting;

    @ApiModelProperty(value = "调用画图API返回结果")
    private List result;

    @ApiModelProperty(value = "调用画图API返回结果")
    private List confidenceBounds;

    @ApiModelProperty(value = "自定义的结束时间列名")
    private String endTimeName;

    private String[] dates;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;

    @ApiModelProperty(value = "标记的时间")
    private Double time;

    @ApiModelProperty(value = "标记的不可靠度")
    private Double unReliability;

    @ApiModelProperty(value = "标记的beta")
    private Double betaMark;

    @ApiModelProperty(value = "标记的eta")
    private Double etaMark;

    @ApiModelProperty(value = "标记的miu")
    private Double muMark;

    @ApiModelProperty(value = "标记的sigma")
    private Double sigmaMark;

    @ApiModelProperty(value = "标记的lambda")
    private Double lambdaMark;

    @ApiModelProperty(value = "目标时间")
    private Double targetTime;

    @ApiModelProperty(value = "目标可靠度")
    private Double targetReliability;

    @ApiModelProperty(value = "自定义分布概率图名称")
    private String reliabilityPlotName;
}
