package com.nationrel.weibull.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.general.domain.auth.SystemInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "non内华达分析设定表",description = "non内华达分析设定表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class NevadaSettingVo {
    @ApiModelProperty(value = "内华达ID同时也是analysisId")
    private String nevadaId;

    @ApiModelProperty(value = "wbId")
    private String wbId;

    @ApiModelProperty(value = "数据ID ")
    private String dataId;

    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "内华达数据名称")
    private String analysisName;

    @ApiModelProperty(value = "数据单位：01:Mounths;02:Days;03:Years;04:Numbers;")
    private String periodsIn;

    @ApiModelProperty(value = "数值起始")
    private Integer startNumber;

    @ApiModelProperty(value = "年份起始")
    private String startYear;

    @ApiModelProperty(value = "月份起始")
    private String startMounth;

    @ApiModelProperty(value = "日期起始")
    private String startDay;

    @ApiModelProperty(value = "预测数值起始")
    private Integer futureStartNumber;

    @ApiModelProperty(value = "预测年份起始")
    private String futureStartYear;

    @ApiModelProperty(value = "预测月份起始")
    private String futureStartMounth;

    @ApiModelProperty(value = "预测日期起始")
    private String futureStartDay;

    @ApiModelProperty(value = "预测数据取整类型")
    private Integer forecastType;

    @ApiModelProperty(value = "时间段个数")
    private Integer numberPeriod;

    @ApiModelProperty(value = "预测时间段个数")
    private Integer futureNumberPeriod;

    @ApiModelProperty(value = "步长")
    private Integer increment;

    @ApiModelProperty(value = "预测周期")
    private Integer forecast;

    @ApiModelProperty(value = "whichTree")
    private String whichTree;
}