package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SolveTimeRelVo {

    @ApiModelProperty(value = "计算ID")
    private String solveId;
    @ApiModelProperty(value = "计算名称")
    private String solveName;
    @ApiModelProperty(value = "分布类型（01:Weibull，02:Lognormal，03:Normal，04:Exponential）", required = true)
    @NotNull
    private String distributingCode;
    @ApiModelProperty(value = "要求的可靠度1-100%", required = true)
    private String reliability;
    @ApiModelProperty(value = "要求的置信水平1-100%", required = true)
    private String confidenceLevel;
    @ApiModelProperty(value = "要求时间", required = true)
    private String timeRdemo;
    @ApiModelProperty(value = "测试单元", required = true)
    private String sampleSize;
    @ApiModelProperty(value = "失效", required = true)
    private String allowFailures;
    @ApiModelProperty(value = "假定值")
    private String shape;
    @ApiModelProperty(value = "计算方式（1：测试时间  2：测试单元）")
    private String calcCode;

}
